Package com.smartgwt.client.bean.types

# Class ValueEnumValueType<ValueType extends Enum<ValueType> & ValueEnum>

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.OtherValueType<ValueType>
com.smartgwt.client.bean.types.EnumValueType<ValueType>
com.smartgwt.client.bean.types.ValueEnumValueType<ValueType>

public class ValueEnumValueType<ValueType extends Enum<ValueType> & ValueEnum> extends EnumValueType<ValueType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ValueEnumValueType(Class<ValueType> valueType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `doConvertToString(ValueType value)`
  `static <T extends Enum<T> & ValueEnum>
  void`
  `registerValueEnumValueType(Class<T> klass)`

  ### Methods inherited from class com.smartgwt.client.bean.types.EnumValueType

  `convertabilityFrom, convertFrom, registerEnumValueType`

  ### Methods inherited from class com.smartgwt.client.bean.types.OtherValueType

  `getValueType, isAssignableFrom, registerOtherValueType`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, getBeanValueType, isA, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValueEnumValueType

    protected ValueEnumValueType(Class<ValueType> valueType)

- ## Method Details

  - ### registerValueEnumValueType

    public static <T extends Enum<T> & ValueEnum> void registerValueEnumValueType(Class<T> klass)

  - ### doConvertToString

    protected String doConvertToString(ValueType value)
    Overrides:
      `doConvertToString` in class `EnumValueType<ValueType extends Enum<ValueType> & ValueEnum>`